#!/bin/bash

cwd=`pwd`
site_tail=${cwd%*/*/*}
site=${site_tail##*/}

echo "Full reconfiguration of site:"
echo "  $site"
echo ""


reconfig_url="http://localhost:8383/greenstone3/$site-library?a=s&sa=c"
echo "Running:"
echo "  wget -O /dev/null \"$reconfig_url\""

wget -O /dev/null "$reconfig_url" >/dev/null 2>&1 

status=$?

if [ $status != 0 ] ; then
    echo "Error encountered when requesting Greenstone3 reconfiguration" 1>&2
else
    echo "Done"
fi


